Skip to main content
`Ctrl`+`K`

# MatMFFDGetH

Gets the last value that was used as the differencing for a `MATMFFD` matrix parameter.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDGetH(Mat mat, PetscScalar *h)

Not Collective

## Input Parameters

- mat - the `MATMFFD` matrix

## Output Parameter

- h - the differencing step size

## See Also

Matrices, `Mat`, `MATMFFD`, `MatCreateSNESMF()`, `MatMFFDSetHHistory()`, `MatCreateMFFD()`, `MatMFFDResetHHistory()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

## Implementations

MatMFFDGetH_MFFD() in src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages